This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 842296 - Review Request: kde-plasma-akonadi-calendars - Akonadi calendars plasmoid
Review Request: kde-plasma-akonadi-calendars - Akonadi calendars plasmoid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-07-23 08:08 EDT by Jan Grulich
Modified: 2015-07-13 13:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-12 22:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ltinkl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2012-07-23 08:08:33 EDT
Spec URL: http://phoenix.inf.upol.cz/~grulichj/rpmbuild/SPECS/kde-plasma-akonadi-calendars.spec
SRPM URL: http://phoenix.inf.upol.cz/~grulichj/rpmbuild/SRPMS/kde-plasma-akonadi-calendars-0.1.1-1.fc17.src.rpm

Description: 
Hi, this is my first package and i would appreciate review.

Akonadi-calendars is plasmoid for displaying your events from selected Akonadi resources. 

Fedora Account System Username:jgrulich

Succesful build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4322576
http://koji.fedoraproject.org/koji/taskinfo?taskID=4322839
Comment 1 Lukáš Tinkl 2012-07-23 08:43:39 EDT
- BuildRoot and Group tags are redundant
- Source should point to the canonical source on the internet
- the preferred tarball format is tar.bz2 or even tar.xz
Comment 3 Rex Dieter 2012-07-23 10:48:07 EDT
I've sponsored Jan into packager group, largely due to other mentoring tasks by Lukáš and other fellow kde-sig'ers.
Comment 4 Lukáš Tinkl 2012-07-24 08:57:05 EDT
[ltinkl@goblin 842296]$ rpmlint kde-plasma-akonadi-calendars-0.1.1-1.fc17.src.rpm
kde-plasma-akonadi-calendars.src: W: spelling-error Summary(en_US) plasmoid -> plasma
kde-plasma-akonadi-calendars.src: W: spelling-error %description -l en_US plasmoid -> plasma
kde-plasma-akonadi-calendars.src: W: invalid-url Source0: http://kde-look.org/CONTENT/content-files/150034-10534-akonadi-calendars.tar.bz2 HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

- please provide a working Source URL
Comment 5 Lukáš Tinkl 2012-07-24 08:58:37 EDT
- the correct URL seems to be: http://kde-look.org/CONTENT/content-files/150034-150034-akonadi-calendars.tar.bz2

- no newline at the end of specfile
Comment 7 Lukáš Tinkl 2012-07-24 09:19:55 EDT
License tag from .spec file (GPLv2+) doesn't match the actual source code license (GPLv3+)
Comment 10 Lukáš Tinkl 2012-07-24 09:38:54 EDT
Package builds ok, meets all the MUST criteria, license correct too.

RPMlint:

[ltinkl@goblin 842296]$ rpmlint kde-plasma-akonadi-calendars-0.1.1-1.fc17.src.rpm 
kde-plasma-akonadi-calendars.src: W: spelling-error Summary(en_US) plasmoid -> plasma
kde-plasma-akonadi-calendars.src: W: spelling-error %description -l en_US plasmoid -> plasma
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


Builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4322576
http://koji.fedoraproject.org/koji/taskinfo?taskID=4322839
Comment 11 Jan Grulich 2012-07-25 08:27:44 EDT
New Package SCM Request
=======================
Package Name: kde-plasma-akonadi-calendars
Short Description: Calendars plasmoid for Akonadi resources
Owners: jgrulich
Branches: f17
InitialCC: jgrulich ltinkl
Comment 12 Jon Ciesla 2012-07-25 08:59:25 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-07-25 10:20:28 EDT
kde-plasma-akonadi-calendars-0.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kde-plasma-akonadi-calendars-0.1.1-1.fc17
Comment 14 Fedora Update System 2012-07-26 00:00:52 EDT
kde-plasma-akonadi-calendars-0.1.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Fedora Update System 2012-08-12 22:24:01 EDT
kde-plasma-akonadi-calendars-0.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.